.blog-introduce {
  width: 100%;
  padding: 0 2.2rem 1rem 2.2rem;
}

.container {
  max-width: 15rem;
  margin: 0 auto;
  font-family: NunitoSans;
}

/* 主内容区域 */
.content-wrapper {
  display: flex;
  flex-direction: column;
}

/* 顶部介绍区域 */
.intro-section {
  display: flex;
  flex-direction: column;
  gap: 33px;
  align-items: center;
  color: #333;
}

.page-title {
  font-size: 36px;
  font-weight: 900;
  line-height: 42px;
  text-align: center;
  text-transform: capitalize;
  color: #333;
}

.description-wrapper {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.description-text {
  font-size: 18px;
  font-weight: 500;
  line-height: 27px;
  color: #333;
  margin-bottom: 0.2rem;
}
.description-text  a {
  color: #2F67B3 !important;
  text-decoration: none !important;;
}
/* 下载区域 */
.download-section {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.download-intro {
  font-size: 20px;
  font-weight: 500;
  line-height: 30px;
  color: #333;
}

.buttons-wrapper {
  display: flex;
  align-items: flex-start;
  gap: 0.74rem;
}

.download-button {
  display: flex;
  align-items: center;
  gap: 14px;
  background-color: #3882d4;
  height: 50px;
  padding: 10px 19px 10px 16px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s;
  text-decoration: none;
}

.download-button:hover {
  background-color: #2d6cb8;
}

.download-button:active {
  background-color: #25589d;
}

.download-icon {
  width: 24px;
  height: 24px;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.download-icon svg {
  width: 100%;
  height: 100%;
  display: block;
}

.download-text {
  font-size: 18px;
  font-weight: 900;
  line-height: 26px;
  color: white;
  white-space: nowrap;
}
.filter-line {
  margin-top: 0.18rem;
  margin-bottom: 0.18rem;
  height: 1px;
  background: rgba(183, 183, 183, 0.16);
}
@media screen and (max-width: 1400px) {
  .blog-introduce {
    padding: 0.6rem 1.2rem 0.25rem;
  }
  .container {
    max-width: 100%;
  }

}
/* 响应式设计 */
@media screen and (max-width: 1025px) {
  .blog-introduce {
    max-width: 100%;
    padding: 0.1rem 0.3rem 0.3rem 0.3rem;
  }
  .buttons-wrapper {
    gap: 0.2rem;
    width: 100%;
    flex-wrap: wrap;
  }
  .intro-section {
    gap: 0.12rem;
  }
  .description-text,.download-intro {
    font-size: 0.24rem;
    font-weight: 500;
    line-height: 150%;
  }
  .download-section {
    gap: 0.33rem;
  }
  .download-button {
    justify-content: center;
    gap: 0;
    height: auto;
    padding: 0.1rem;
  }
  .download-text {
    font-size: max(0.18rem, 12px);
  }
}

